## gcc-16-cross-ports 1

=== debian/changelog ===
gcc-16-cross-ports (1) experimental; urgency=medium

  * Build using gcc 16-20251214-1.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Dec 2025 15:51:06 +0100

gcc-15-cross-ports (11) unstable; urgency=medium

  * Build using gcc 15.2.0-7.
  * Update d/packages.common for loong64.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Oct 2025 17:41:31 +0200

gcc-15-cross-ports (10) unstable; urgency=medium

  * Build using gcc 15.2.0-4.
  * Build gnat for m68k.
  * Build libgphobos on ppc64el and sparc64.
  * Work around an issue in dpkg-cross not handling shared libs dependencies
    in -dev packages.
  * Don't build s390x multilib packages for Ubuntu 24.10 and newer.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Sep 2025 17:35:58 +0200

gcc-15-cross-ports (9) unstable; urgency=medium

   * Build using gcc 15.2.0-3.
   * Build using binutils 2.45.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 10:14:59 +0200

gcc-15-cross-ports (8) unstable; urgency=medium

  * Build using gcc 15.2.0-1.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2025 22:25:30 +0200

gcc-15-cross-ports (7) experimental; urgency=medium

  * Build using gcc 15.1.0-1.

 -- Matthias Klose <doko@debian.org>  Sun, 27 Apr 2025 05:09:22 +0200

gcc-15-cross-ports (6) experimental; urgency=medium

  * Add build conflict with tcc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 11:15:34 +0100

gcc-15-cross-ports (5) experimental; urgency=medium

  * Build using gcc 15-20250319-1.

 -- Matthias Klose <doko@debian.org>  Thu, 20 Mar 2025 07:19:32 +0100

gcc-15-cross-ports (4) experimental; urgency=medium

  * Build using gcc 15-20250315-1.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Mar 2025 17:49:17 +0100

gcc-15-cross-ports (3) experimental; urgency=medium

  * Build using gcc 15-20250208-1.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Feb 2025 11:11:39 +0100

gcc-15-cross-ports (2) experimental; urgency=medium

  * Build using gcc 15-20250114-1.
  * Disable gnat on m68k, see PR target/118485.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jan 2025 11:22:41 +0100

gcc-15-cross-ports (1) experimental; urgency=medium

  * Build using gcc 15-20241220-1.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2024 08:06:02 +0100

gcc-14-cross-ports (9) UNRELEASED; urgency=medium

  * Build using gcc 14.2.0-11.
  * d/control: Add Rules-Requires-Root: binary-targets. Too late for trixie.
  * Fix build with make 4.4. Closes: #1089263.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2024 08:06:02 +0100

gcc-14-cross-ports (8) unstable; urgency=medium

  * Build using gcc 14.2.0-6.
  * Bump standards version.
  * Mark more package names as invalid on loong64.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Oct 2024 16:22:44 +0200

gcc-14-cross-ports (7) unstable; urgency=medium

  * Build using gcc 14.2.0-1.
  * Don't build gccrs cross packages for now.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Aug 2024 04:52:59 +0200

gcc-14-cross-ports (6) unstable; urgency=medium

  * Build using gcc 14.1.0-5.
  * Build packages for loong64. Closes: #1067291.

 -- Matthias Klose <doko@debian.org>  Mon, 22 Jul 2024 15:55:33 +0200

gcc-14-cross-ports (5) experimental; urgency=medium

  * Build using gcc 14-20240207-1.
  * Use the bumped upstream libgo soname.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2024 22:04:40 +0100

gcc-14-cross-ports (4) unstable; urgency=medium

  * Apply proposed patch for PR target/113720.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Feb 2024 09:24:11 +0100

gcc-14-cross-ports (3) unstable; urgency=medium

  * Build using gcc 14-20240201-3.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Feb 2024 11:20:29 +0100

gcc-14-cross-ports (2) experimental; urgency=medium

  * Build using gcc 14-20240130-1.
  * Build ppc64 packages on ppc64el. Addresses: #1052251.
  * Remove the support to build ARM32 multilib packages.
  * Set GNATMAKE and GNATBIND to gnat[bind,make}-14.
  * Link gnat[bind,link,ls,make}-14 to gnat[bind,link,ls,make} for the build.
  * Bump debhelper to v11.
  * Build Enable LSan and TSan packages for riscv64.
  * Build gccrs packages.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2024 11:34:28 +0100

gcc-13-cross-ports (16) unstable; urgency=medium

  * Don't attempt to build s390x cross packages on s390x.
  * Build ppc64 packages on ppc64el. Addresses: #1052251.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 11:48:47 +0100

gcc-13-cross-ports (15) unstable; urgency=medium

  * Build using gcc 13.2.0-7.
  * Build armel packages from this package.
  * Build release compilers also on s390x.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 08:29:35 +0100

gcc-13-cross-ports (14) unstable; urgency=medium

  * Build using gcc 13.2.0-6.
  * Remove lib*32lsan0 packages from the control file.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Oct 2023 12:38:19 +0100

gcc-13-cross-ports (13) unstable; urgency=medium

  * Fix powerpc build on arm64.
  * Drop build dependency on gccrs.
  * Build alpha hppa m68k sh4 sparc64 cross packages on ppc64el.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Aug 2023 07:54:11 +0200

gcc-13-cross-ports (12) unstable; urgency=medium

  * Build using gcc 13.2.0-1.
  * Fix lintian warnings.
  * Stop building gccrs for GCC 13, not yet ready for GCC 13.2.
  * Stop building riscv64 packages from this source package for all host archs.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Jul 2023 10:01:20 +0200

gcc-13-cross-ports (10) unstable; urgency=medium

  * Fix build dependencies for arm64.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jul 2023 10:31:47 +0200

gcc-13-cross-ports (9) unstable; urgency=medium

  * Build using gcc 13.1.0-9.
  * Build powerpc cross packages on arm64. Addresses: #969195.
  * Build alpha hppa m68k sh4 sparc64 cross packages on arm64.
    Closes: #1040929.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Jul 2023 07:09:39 +0200

gcc-13-cross-ports (7) unstable; urgency=medium


