=== debian/control ===
Source: gcc-16-cross-ports
Section: devel
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Standards-Version: 4.7.2
Build-Depends: gcc-16-source (>= 16-20251214-1~),
  gcc-16-base (>= 16-20251214-1~),
  binutils-multiarch (>= 2.45-5),
  autoconf2.69, bison (>= 1:2.3),
  chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-alpha-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-arc-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-arm-linux-gnueabi (>= 2.45-5) [amd64 i386 x32 arm64 ppc64el], binutils-hppa-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-loongarch64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-m68k-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-powerpc64-linux-gnu (>= 2.45-5) [amd64 i386 ppc64el s390x x32], binutils-sh4-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-sparc64-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el x32], binutils-powerpc-linux-gnu (>= 2.45-5) [amd64 arm64 i386 ppc64el s390x x32], binutils-x86-64-linux-gnux32 (>= 2.45-5) [amd64 arm64 i386 ppc64el],
  libc6.1-dev-alpha-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-arc-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-armel-cross (>= 2.37) [amd64 i386 x32 arm64 ppc64el], libc6-dev-hppa-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-loong64-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-m68k-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-ppc64-cross (>= 2.37) [amd64 i386 ppc64el s390x x32], libc6-dev-sh4-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-sparc64-cross (>= 2.37) [amd64 arm64 i386 ppc64el x32], libc6-dev-powerpc-cross (>= 2.37) [amd64 arm64 i386 ppc64el s390x x32], libc6-dev-x32-cross (>= 2.37) [amd64 arm64 i386 ppc64el], libc6-dev-i386-x32-cross [amd64 arm64 i386 ppc64el], libc6-dev-amd64-x32-cross [amd64 arm64 i386 ppc64el], libc6-dev-powerpc-ppc64-cross [amd64 i386 ppc64el s390x x32], libc6-dev-sparc-sparc64-cross [amd64 arm64 i386 ppc64el x32], libc6-dev-ppc64-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32],
  linux-libc-dev-alpha-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-arc-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-armel-cross [amd64 i386 x32 arm64 ppc64el], linux-libc-dev-hppa-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-loong64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-m68k-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-ppc64-cross [amd64 i386 ppc64el s390x x32], linux-libc-dev-sh4-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-sparc64-cross [amd64 arm64 i386 ppc64el x32], linux-libc-dev-powerpc-cross [amd64 arm64 i386 ppc64el s390x x32], linux-libc-dev-x32-cross [amd64 arm64 i386 ppc64el],
  libisl-dev (>= 0.26-3~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  dwz, pkg-config, libgc-dev,
  patchutils, procps, quilt, coreutils (>= 2.26) | realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  g++-16,
  gccgo-16,
  gdc-16,
  gm2-16 [!powerpc !ppc64 !x32],
  gnat-16 [!m32r !sh3 !sh3eb !sh4eb],
  gcobol-16 [!alpha !arc !armel !armhf  !hppa !i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc !sparc64 !x32],
  ga68-16,
  xz-utils, zlib1g-dev, libzstd-dev, python3, time,
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386],
Homepage: http://gcc.gnu.org/
Vcs-Browser: https://salsa.debian.org/toolchain-team/gcc-cross
Vcs-Git: https://salsa.debian.org/toolchain-team/gcc-cross.git
Rules-Requires-Root: binary-targets

Package: gcc-16-cross-base-ports
Architecture: all
Section: devel
Priority: optional
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-16-alpha-linux-gnu-base
Architecture: amd64 arm64 i386 ppc64el x32
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc-s1-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc-s1-alpha-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for alpha architecture, for use in cross-compile
 environment.

Package: libgcc-16-dev-alpha-cross
Architecture: all
Section: libdevel
Recommends: ${dep:libcdev}
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-16 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: gcc-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), cpp-16-alpha-linux-gnu (= ${gcc:Version}), binutils-alpha-linux-gnu (>= ${binutils:Version}), libgcc-16-dev-alpha-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-16-doc (>= ${gcc:SoftVersion}), gcc-16-locales (>= ${gcc:SoftVersion}), libgcc-s1-dbg-alpha-cross, libgomp1-dbg-alpha-cross, libitm1-dbg-alpha-cross, libatomic1-dbg-alpha-cross, libtsan2-dbg-alpha-cross, libbacktrace1-dbg-alpha-cross, libquadmath-dbg-alpha-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-alpha-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for alpha architecture.

Package: gcc-16-plugin-dev-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), gcc-16-alpha-linux-gnu (= ${gcc:Version}), libgmp-dev (>= 2:5.0.1~), ${shlibs:Depends}, ${misc:Depends}
Description: Files for GNU GCC plugin development.
 This package contains (header) files for GNU GCC plugin development. It
 is only used for the development of GCC plugins, but not needed to run
 plugins.

Package: cpp-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-16-locales (>= ${gcc:SoftVersion})
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for alpha architecture.

Package: g++-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), gcc-16-alpha-linux-gnu (= ${gcc:Version}), libstdc++-16-dev-alpha-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-alpha-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-16-doc (>= ${gcc:SoftVersion}), libstdc++6-16-dbg-alpha-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for alpha architecture.

Package: libgomp1-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libitm1-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU Transactional Memory Library
 GNU Transactional Memory Library (libitm) provides transaction support for
 accesses to the memory of a process, enabling easy-to-use synchronization of
 accesses to shared memory by several threads.

Package: libatomic1-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: support library providing __atomic built-in functions
 library providing __atomic built-in functions. When an atomic call cannot
 be turned into lock-free instructions, GCC will make calls into this library.

Package: gobjc++-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), gobjc-16-alpha-linux-gnu (= ${gcc:Version}), g++-16-alpha-linux-gnu (= ${gcc:Version}), ${shlibs:Depends}, libobjc-16-dev-alpha-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjcxx:multilib}, gcc-16-doc (>= ${gcc:SoftVersion})
Provides: objc++-compiler-alpha-linux-gnu
Description: GNU Objective-C++ compiler
 This is the GNU Objective-C++ compiler, which compiles
 Objective-C++ on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: gobjc-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), gcc-16-alpha-linux-gnu (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, libobjc-16-dev-alpha-cross (= ${gcc:Version}), ${misc:Depends}
Suggests: ${gobjc:multilib}, gcc-16-doc (>= ${gcc:SoftVersion}), libobjc4-dbg-alpha-cross
Provides: objc-compiler-alpha-linux-gnu
Description: GNU Objective-C compiler
 This is the GNU Objective-C compiler, which compiles
 Objective-C on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libobjc4-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Objective-C applications
 Library needed for GNU ObjC applications linked against the shared library.

Package: libobjc-16-dev-alpha-cross
Architecture: all
Section: libdevel
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), libgcc-16-dev-alpha-cross (= ${gcc:Version}), libobjc4-alpha-cross (>= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: gobjc-16 (<< ${gcc:SplitVersion})
Description: Runtime library for GNU Objective-C applications (development files)
 This package contains the headers and static library files needed to build
 GNU ObjC applications.

Package: gfortran-16-alpha-linux-gnu
Architecture: amd64 arm64 i386 ppc64el x32
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), gcc-16-alpha-linux-gnu (= ${gcc:Version}), libgfortran-16-dev-alpha-cross (= ${gcc:Version}), ${dep:libcdev}, ${shlibs:Depends}, ${misc:Depends}
Provides: fortran95-compiler
Suggests: ${gfortran:multilib}, gfortran-16-doc, libgfortran5-dbg-alpha-cross
Description: GNU Fortran compiler
 This is the GNU Fortran compiler, which compiles
 Fortran on platforms supported by the gcc compiler. It uses the
 gcc backend to generate optimized code.

Package: libgfortran5-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for GNU Fortran applications
 Library needed for GNU Fortran applications linked against the
 shared library.

Package: libgfortran-16-dev-alpha-cross
Architecture: all
Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), libgfortran5-alpha-cross, ${shlibs:Depends}, ${misc:Depends}
