## gcc-16-cross-ports 2

=== debian/changelog ===
gcc-16-cross-ports (2) experimental; urgency=medium

  * Build using gcc 16-20260203-2.
  * Merge gcc-16-cross 3.
  * Fix installation of stage0 packages.
  * Unset DEB_HOST_ARCH_VARIANT when calling dpkg-buildflags for the target.
    Setting a variant without looking at the architecture is broken.
    See LP: #2138929.
  * Build gnat cross compiler for sh4.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Feb 2026 14:04:38 +0100
