=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Standards-Version: 4.7.2
-Build-Depends: gcc-16-source (>= 16-20251214-1~),
-  gcc-16-base (>= 16-20251214-1~),
+Standards-Version: 4.7.3
+Build-Depends: gcc-16-source (>= 16-20260203-2~),
+  gcc-16-base (>= 16-20260203-2~),
   binutils-multiarch (>= 2.45-5),
   autoconf2.69, bison (>= 1:2.3),
   chrpath, debhelper (>= 11), dpkg-dev (>= 1.21.17), flex, gawk, gettext,
@@ -23,6 +23,7 @@
   gm2-16 [!powerpc !ppc64 !x32],
   gnat-16 [!m32r !sh3 !sh3eb !sh4eb],
   gcobol-16 [!alpha !arc !armel !armhf  !hppa !i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !ppc64 !ppc64el !riscv64 !s390x !sh4 !sparc !sparc64 !x32],
+  libxml2-source,
   ga68-16,
   xz-utils, zlib1g-dev, libzstd-dev, python3, time,
 Build-Conflicts: gcc-multilib,
@@ -188,4 +189,3 @@
 
 Package: libgfortran-16-dev-alpha-cross
 Architecture: all
-Depends: gcc-16-alpha-linux-gnu-base (= ${gcc:Version}), libgfortran5-alpha-cross, ${shlibs:Depends}, ${misc:Depends}
