## gcc-16-cross-ports 4

=== debian/changelog ===
gcc-16-cross-ports (4) experimental; urgency=medium

  * Build using gcc 16-20260208-1.
  * Fix building on architecture variants.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Feb 2026 21:08:11 +0100
