## gcc-16-cross-ports 4ubuntu1

=== debian/changelog ===
gcc-16-cross-ports (4ubuntu1) resolute; urgency=medium

  * Build using gcc 16-20260208-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Feb 2026 22:42:41 +0100

gcc-16-cross-ports (2ubuntu3) resolute; urgency=medium

  * Fix repacking packages for an architecture variant.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Feb 2026 12:39:10 +0100

gcc-16-cross-ports (2ubuntu2) resolute; urgency=medium

  * Build using gcc 16-20260203-2ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Feb 2026 19:38:38 +0100

gcc-16-cross-ports (1ubuntu5) resolute; urgency=medium

  * Build using gcc 16-20260125-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Jan 2026 13:01:42 +0100

gcc-16-cross-ports (1ubuntu2) resolute; urgency=medium

  * Build using gcc 16-20251214-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Dec 2025 21:14:05 +0100

gcc-15-cross-ports (11ubuntu2) resolute; urgency=medium

   * Build using gcc 15.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Oct 2025 17:47:04 +0200

gcc-15-cross-ports (10ubuntu2) questing; urgency=medium

   * Build using gcc 15.2.0-4ubuntu4.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Sep 2025 04:50:40 +0200

gcc-15-cross-ports (10ubuntu1) questing; urgency=medium

   * Build using gcc 15.2.0-4ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2025 17:58:47 +0200

gcc-15-cross-ports (9ubuntu2) questing; urgency=medium

   * Build using gcc 15.2.0-3ubuntu1.
   * Build using binutils 2.45.5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2025 10:22:03 +0200

gcc-15-cross-ports (8ubuntu1) questing; urgency=medium

  * Build using gcc 15.2.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Aug 2025 07:33:46 +0200

gcc-15-cross-ports (7ubuntu3) questing; urgency=medium

  * Fix sh4 cross build.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2025 14:14:59 +0200

gcc-15-cross-ports (7ubuntu1) questing; urgency=medium

  * Build using gcc 15.1.0-10ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jul 2025 16:34:35 +0200

gcc-15-cross-ports (6ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20250329-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Apr 2025 10:34:42 +0200

gcc-15-cross-ports (5ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20250319-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Mar 2025 08:47:10 +0100

gcc-15-cross-ports (4ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20250315-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Mar 2025 08:27:59 +0100

gcc-15-cross-ports (3ubuntu2) plucky; urgency=medium

  * Build using gcc 15-20250213-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Feb 2025 10:39:19 +0100

gcc-15-cross-ports (3ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20250208-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2025 12:10:11 +0100

gcc-15-cross-ports (2ubuntu3) plucky; urgency=medium

  * Build using gcc 15-20250130-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2025 08:07:28 +0100

gcc-15-cross-ports (2ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20250114-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2025 12:00:21 +0100

gcc-15-cross-ports (1ubuntu1) plucky; urgency=medium

  * Build using gcc 15-20241220-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2024 12:52:03 +0100

gcc-14-cross-ports (7ubuntu2) oracular; urgency=medium

  * Build using gcc 14.2.0-4ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 15 Sep 2024 13:07:22 +0200

gcc-14-cross-ports (7ubuntu1) oracular; urgency=medium

  * Build using gcc 14.2.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Aug 2024 06:53:14 +0200

gcc-14-cross-ports (5ubuntu7) oracular; urgency=medium

  * Build using gcc 14.1.0-5.
  * Build packages for loong64. Closes: #1067291.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Jul 2024 12:39:59 +0200

gcc-14-cross-ports (5ubuntu5) oracular; urgency=medium

  * Build using gcc 14.1.0-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 May 2024 09:33:06 +0200

gcc-14-cross-ports (5ubuntu4) noble; urgency=medium

  * Build using gcc 14-20240412-0ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 07:58:02 +0200

gcc-14-cross-ports (5ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:03:21 +0000

gcc-14-cross-ports (5ubuntu2) noble; urgency=medium

  * Build using gcc 14-20240315-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Mar 2024 17:27:43 +0100

gcc-14-cross-ports (4ubuntu1) noble; urgency=medium

  * Apply proposed patch for PR target/113720.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Feb 2024 10:09:19 +0100

gcc-14-cross-ports (3ubuntu1) noble; urgency=medium

  * Build using gcc 14-20240201-3ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Feb 2024 11:34:38 +0100

gcc-14-cross-ports (1ubuntu1) noble; urgency=medium

  * Build using gcc 14-20240130-1ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2024 11:53:43 +0100

gcc-14-cross-ports (1) experimental; urgency=medium

  * Build using gcc 14-20240130-1.
  * Build ppc64 packages on ppc64el. Addresses: #1052251.
  * Remove the support to build ARM32 multilib packages.
  * Set GNATMAKE and GNATBIND to gnat[bind,make}-14.
  * Link gnat[bind,link,ls,make}-14 to gnat[bind,link,ls,make} for the build.
  * Bump debhelper to v11.
  * Build Enable LSan and TSan packages for riscv64.
  * Build gccrs packages.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Jan 2024 11:34:28 +0100

gcc-13-cross-ports (16ubuntu1) noble; urgency=medium

  * Build using gcc 13.2.0-7ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 11:56:41 +0100

gcc-13-cross-ports (14ubuntu1) noble; urgency=medium

  * Build using gcc 13.2.0-6ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Oct 2023 13:55:19 +0100


